package InitialSchedules;

import org.chocosolver.solver.constraints.extension.Tuples;

class ValidPartTimeEmployeeShift {
    private final int[][] shiftsOfPartTimeEmployees;

    public ValidPartTimeEmployeeShift() {
        this.shiftsOfPartTimeEmployees = new int[][]{
                {0, 0, 0, 0, 0, 0},
                {0, 0, 0, 0, 0, 1},
                {0, 0, 0, 0, 1, 0},
                {0, 0, 0, 1, 0, 0},
                {0, 0, 1, 0, 0, 0},
                {0, 1, 0, 0, 0, 0},
                {1, 0, 0, 0, 0, 0},
                {0, 0, 0, 0, 1, 1},
                {0, 0, 0, 1, 1, 0},
                {0, 0, 1, 1, 0, 0},
                {0, 1, 1, 0, 0, 0},
                {1, 1, 0, 0, 0, 0}
        };
    }

    public Tuples makeTuples() {
        return new Tuples(this.shiftsOfPartTimeEmployees, true);
    }
}
