/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package SchedulesRecovery;

import ModifiedSchedules.ModifiedSchedulesArray;
import ScheduleUtil.SchedulesArray;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author frabe
 */
public class BankRecoveredSchedules {
    public final SchedulesArray initialSchedulesArray;
    public final List<SchedulesArray> bankRecoveredSimulation;
    private final List<ModifiedSchedulesArray> bankModifiedSimulation;
    public double meanCostRecoveredSimulations;
    public int numberUnResolvedSimulations;
    
    public BankRecoveredSchedules(SchedulesArray initialSchedulesArray, List<ModifiedSchedulesArray> bankModifiedSimulation) {
        this.initialSchedulesArray = initialSchedulesArray;
        this.bankModifiedSimulation = bankModifiedSimulation;
        this.bankRecoveredSimulation = new ArrayList<>();
        this.numberUnResolvedSimulations = 0;
    } 
    
    public void addRecoveredSchedules(SchedulesArray recoveredSchedulesArray) {
        this.bankRecoveredSimulation.add(recoveredSchedulesArray);
    } 
}
