/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package SchedulesRecovery;

import InitialSchedules.ParametersSchedules;
import ScheduleUtil.EmployeeCostCalculator;

/**
 *
 * @author frabe
 */
class RecoveringActionPartTimeEmployee extends RecoveringAction {
    
    public RecoveringActionPartTimeEmployee( int employee, int workPeriod){
        super(employee, workPeriod);
    }

    public void calculateRecoveringActionCost(boolean[][] currentEmployeesSchedule, ParametersSchedules myScheduleParameters) {
        int costBeforeAction = EmployeeCostCalculator.getPartTimeEmployeeCost(currentEmployeesSchedule, this.employee, myScheduleParameters);
        currentEmployeesSchedule[this.employee][this.workPeriod] = true;
        int costAfterAction = EmployeeCostCalculator.getPartTimeEmployeeCost(currentEmployeesSchedule, this.employee, myScheduleParameters);
        currentEmployeesSchedule[this.employee][this.workPeriod] = false;
        this.recoveringActionCost = costAfterAction-costBeforeAction;
    }        

}

